/*
 * This source file is a part of a Kaspersky Antivirus Monitor.
 * Copyright (C) Kaspersky Lab, 1997-2010
 * See License.txt for details
 *
 */

#ifndef KERNEL__MODULE_LINUX__INTERCEPTOR_RFS_H
#define KERNEL__MODULE_LINUX__INTERCEPTOR_RFS_H

enum
{
    SC_OPEN,
    SC_CLOSE,
    SC_RENAME,
    SC_UNLINK,
    SC_ACCESS,
    SC_ATTR
};

#define dump_message(format, args...) pr_debug(format, ##args)

extern int dump_syscall(unsigned int scid, unsigned int state,
                        struct dentry* dentry, int error);

#endif
