/*
 * This source file is a part of a Kaspersky Antivirus Monitor.
 * Copyright (C) Kaspersky Lab, 1997-2010
 * See License.txt for details
 *
 */

#ifndef KERNEL_MODULE_LINUX_MNT_EXCLUDES_H
#define KERNEL_MODULE_LINUX_MNT_EXCLUDES_H

#include <linux/mount.h>

extern int kavoas_mnt_excludes_add_path(char const *mntpath);
extern int kavoas_is_mnt_excluded(struct vfsmount* vfs);
extern void kavoas_excluded_clean(void);
extern int kavoas_rst_path(char const* mntpath);

#endif