package KL::KlNagentRelations;

use strict;
use KL::Utils;

sub new {
    my $class = shift;
    $class = ref($class) if ref($class);
    bless my $self = {}, $class;
    return $self;
}

sub check_klnagent_running {
    system("/etc/init.d/klnagent64 status");
    my $ret = $?;
    if ($ret != 0) {
        return 0;
    }

    if (readlink("/proc/1/exe") =~ /systemd/) {
        system("systemctl restart klnagent64");
    } else {
        system("/etc/init.d/klnagent64 restart");
    }
    my $ret = $?;
    if ($ret != 0) {
        return 0;
    }
    return 1;
}

1;
